using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
namespace GridListTest
{
    public partial class Form1 : Form
    {
        List<clsData> lstData;
        
        public Form1()
        {
            InitializeComponent();
            lstData = new List<clsData>();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.glcSample.Grid.HScrollPixel = true;
            glcSample.FillLastColumn = false; 
            GridControlBase.UseOldHiddenScrollLogic = true;
            this.glcSample.Grid.HScrollBehavior = GridScrollbarMode.Enabled;
            clsData objData1 = new clsData();
            objData1.Code = "1";
            objData1.Name = "This is a row";
            objData1.ImageIndex = 0;
            objData1.Status = 2;
            lstData.Add(objData1);
            
            clsData objData2 = new clsData();
            objData2.Code = "2";
            objData2.Name = "This is row 2";
            objData2.ImageIndex = 1;
            objData2.Status=2;
            lstData.Add(objData2);
        }

        private void btnFilldata_Click(object sender, EventArgs e)
        {

            if (lstData != null)
            {
                glcSample.DataSource = lstData;
                glcSample.DisplayMember = "Name";
                glcSample.ValueMember = "Code";
                
                GLCOutput.DataSource = lstData;
                GLCOutput.DisplayMember = "Name";
                GLCOutput.ValueMember = "Code";
            }
        }

        
        
    }
    public class clsData
    {
        private string strName;
        private string strCode;
        private int imgIndex;
        private int iStatus;

        public string Name
        {
            get
            {
                return strName;
            }
            set
            {
                strName = value;
            }
        }

        public string Code
        {
            get
            {
                return strCode;
            }
            set
            {
                strCode = value;
            }
        }

        public int ImageIndex
        {
            get
            {
                return this.imgIndex;
            }
            set
            {
                this.imgIndex = value;
            }
        }
        
        public int Status
        {
            get
            {
                return this.iStatus;
            }
            set
            {
                this.iStatus = value;
            }
        }
    }
}
